@ECHO OFF
SET LIBDIR=%ELMER_HOME%/bin
SET INCLUDE=%ELMER_HOME%/share/elmersolver/include

SET FC="%ELMER_HOME%/stripped_gfortran/bin/x86_64-w64-mingw32-gfortran.exe"

SET cmd=%FC% %* -fno-range-check  -DCONTIG=,CONTIGUOUS -DMINGW32 -DWIN32 -DHAVE_EXECUTECOMMANDLINE -DUSE_ISO_C_BINDINGS -DUSE_ARPACK  -shared -I"%INCLUDE%" -L"%LIBDIR%" -lelmersolver
REM SET cmd=%FC%   -DCONTIG=,CONTIGUOUS -DMINGW32 -DWIN32 -DHAVE_EXECUTECOMMANDLINE -DUSE_ISO_C_BINDINGS -DUSE_ARPACK -L"%LIBDIR%" -I"%INCLUDE%" %* -lelmersolver
echo %cmd%
%cmd%
